getControlData {lumi} | R Documentation

## Get control probe information

### Description

Get control probe information from Bead Studio output or a LumiBatch object.

### Usage

    getControlData(x, type = c('data.frame', 'LumiBatch'), ...)

### Arguments

`x` | the control data can be a LumiBatch object or the Control Probe Profile file outputted by BeadStudio
`type` | determine the return data type
`...` | other parameters used by `lumiR` function

### Value

By default, it returns a data.frame with first two columns as "controlType" and "ProbeID". The rest columns are the expression amplitudes for individual samples. When type is 'LumiBatch', it returns a LumiBatch object, which basically is the return of lumiR without combining duplicated TargetIDs. As the return is a LumiBatch object, it includes more information, like probe number, detection p-value and standard error of the measurement.

### Author(s)

Pan Du

### See Also

`addControlData2lumi`

### Examples

            controlFile <- system.file('doc', 'Control_Probe_Profile.txt', package='lumi')
            ## return a data.frame
            controlData <- getControlData(controlFile)
            class(controlData)
            names(controlData)

            ## return a LumiBatch object
            controlData <- getControlData(controlFile, type='LumiBatch')
            summary(controlData)

[Package lumi version 1.10.2 Index]